Bug 691019 - in-chroot/mock crashes are not caught
Summary: in-chroot/mock crashes are not caught
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: abrt
Version: 14
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Denys Vlasenko
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-03-26 07:40 UTC by Jan Kratochvil
Modified: 2012-04-18 23:00 UTC (History)
8 users (show)

Fixed In Version: abrt-2.0.10-1.fc17
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-04-18 23:00:36 UTC
Type: ---


Attachments (Terms of Use)

Description Jan Kratochvil 2011-03-26 07:40:44 UTC
Description of problem:
Any crash for processes running under mock is not caught.  Despite it has all the rpmdb and debuginfos installed in that chroot.

Version-Release number of selected component (if applicable):
abrt-1.1.17-1.fc14.x86_64

How reproducible:
Always.

Steps to Reproduce:
mock -r fedora-14-x86_64 --shell
mock-chroot> ulimit -c unlimited; sleep 1h &
[1] 20269
mock-chroot> kill -SEGV 20269

Actual results:
abrtd: Executable '/var/lib/mock/fedora-14-x86_64/root/bin/sleep' doesn't belong to any package

Expected results:
Used /var/lib/mock/fedora-14-x86_64/root/var/lib/rpm database.

Additional info:
mock-chroot> rpm -qf `which sleep`
coreutils-8.5-7.fc14.x86_64

Comment 1 Michal Toman 2011-06-14 13:37:48 UTC
The root path can be obtained by reading the /proc/pid/root symlink.

Comment 2 Daniel Mach 2011-11-28 12:23:12 UTC
Could you give it a higher priority?

BTW, it would be nice to integrate ABRT with koji - to catch crashes in the build roots and attach the crash analysis to the failed build task.

Comment 3 Denys Vlasenko 2011-12-21 10:57:43 UTC
Fixed in git:

commit da1d06e949b5a5329a4943d4dd1f8fcaf2bb50f5
Author: Denys Vlasenko <dvlasenk@redhat.com>
Date:   Wed Dec 21 11:56:13 2011 +0100

    abrt-action-save-package-data: query chrooted RPM db if non-chrooted one returns negative result

    This patch uses "rootdir" element in problem dir.
    If executable can't be identified, we check whether
    its name starts with rootdir prefix. If it does,
    we retry RPM query after we do rpmtsSetRootDir(rootdir).

Comment 4 Fedora Update System 2012-03-27 10:18:41 UTC
abrt-2.0.9-1.fc17, libreport-2.0.10-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/abrt-2.0.9-1.fc17,libreport-2.0.10-1.fc17

Comment 5 Fedora Update System 2012-03-28 05:59:30 UTC
Package abrt-2.0.9-1.fc17, libreport-2.0.10-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing abrt-2.0.9-1.fc17 libreport-2.0.10-1.fc17'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-4804/abrt-2.0.9-1.fc17,libreport-2.0.10-1.fc17
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2012-04-02 13:34:42 UTC
abrt-2.0.10-1.fc17,libreport-2.0.10-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/abrt-2.0.10-1.fc17,libreport-2.0.10-2.fc17

Comment 7 Fedora Update System 2012-04-18 23:00:36 UTC
abrt-2.0.10-1.fc17, libreport-2.0.10-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.